Skip to main content
GET
/
history
/
bridge
/
by-deposit-hash
/
{depositTxHash}
Bridge Statuses (Deposit Hash)
curl --request GET \
  --url https://api.rhino.fi/bridge/history/bridge/by-deposit-hash/{depositTxHash} \
  --header 'authorization: <api-key>'
[
  {
    "_id": "<string>",
    "userId": "<string>",
    "chainIn": "<string>",
    "chainOut": "<string>",
    "amountIn": "<string>",
    "amountInUsd": 123,
    "amountOut": "<string>",
    "amountOutUsd": 123,
    "amountNative": "<string>",
    "amountNativeUsd": 123,
    "fee": "<string>",
    "feeUsd": 123,
    "gasFee": "<string>",
    "gasFeeUsd": 123,
    "platformFee": "<string>",
    "platformFeeUsd": 123,
    "percentageFee": "<string>",
    "percentageFeeUsd": 123,
    "sourceGasFee": "<string>",
    "sourceGasFeeUsd": 123,
    "sponsoredFees": {
      "fee": "<string>",
      "feeUsd": 123,
      "gasFee": "<string>",
      "gasFeeUsd": 123,
      "platformFee": "<string>",
      "platformFeeUsd": 123,
      "percentageFee": "<string>",
      "percentageFeeUsd": 123,
      "sourceGasFee": "<string>",
      "sourceGasFeeUsd": 123
    },
    "recipient": "<string>",
    "depositor": "<string>",
    "createdAt": "<string>",
    "commitmentDate": "<string>",
    "token": "<string>",
    "usdPrice": 123,
    "state": "PENDING",
    "speed": "fast",
    "estimatedDuration": 1,
    "postBridgeData": {
      "_tag": "extended",
      "vaultId": 1
    },
    "additionalSteps": [
      {
        "_tag": "RhinoWithdrawalToKarnot",
        "txHash": "<string>",
        "chain": "<string>",
        "createdAt": "<string>"
      }
    ],
    "_tag": "bridge"
  }
]

Authorizations

authorization
string
header
required

Path Parameters

depositTxHash
string
required

Response

Success

Minimum array length: 1
_id
string
required
userId
string
required
chainIn
string
required
chainOut
string
required
amountIn
string
required

a string to be decoded into a BigDecimal

amountInUsd
number
required

a number to be decoded into a BigDecimal

amountOut
string
required

a string to be decoded into a BigDecimal

amountOutUsd
number
required

a number to be decoded into a BigDecimal

amountNative
string | null
required

a string to be decoded into a BigDecimal

amountNativeUsd
number | null
required

a number to be decoded into a BigDecimal

fee
string
required

a string to be decoded into a BigDecimal

feeUsd
number
required

a number to be decoded into a BigDecimal

gasFee
string
required

a string to be decoded into a BigDecimal

gasFeeUsd
number
required

a number to be decoded into a BigDecimal

platformFee
string
required

a string to be decoded into a BigDecimal

platformFeeUsd
number
required

a number to be decoded into a BigDecimal

percentageFee
string
required

a string to be decoded into a BigDecimal

percentageFeeUsd
number
required

a number to be decoded into a BigDecimal

sourceGasFee
string
required

a string to be decoded into a BigDecimal

sourceGasFeeUsd
number
required

a number to be decoded into a BigDecimal

sponsoredFees
object
required
recipient
string
required
depositor
string
required
createdAt
string
required

a string to be decoded into a Date

commitmentDate
string
required

a string to be decoded into a Date

token
string
required
usdPrice
number
required

a number to be decoded into a BigDecimal

state
enum<string>
required
Available options:
PENDING
speed
enum<string>
Available options:
fast,
standard,
slow
estimatedDuration
number

a non-negative number to be decoded into a Duration

Required range: x >= 0
postBridgeData
object
additionalSteps
object[]
_tag
enum<string>
Available options:
bridge